package com.bmlaurus.alfresco.model;

import java.util.Properties;

import org.adempiere.base.IColumnCallout;
import org.adempiere.model.GenericPO;
import org.compiere.model.CalloutEngine;
import org.compiere.model.GridField;
import org.compiere.model.GridTab;
import org.compiere.util.Env;

import com.bmlaurus.alfresco.Validator;

public class FileListCallout extends CalloutEngine implements IColumnCallout {

	@Override
	public String start(Properties ctx, int WindowNo, GridTab mTab,
			GridField mField, Object value, Object oldValue) {
		GenericPO gpo = new GenericPO(mTab.getTableName(), Env.getCtx(), mTab.getRecord_ID());

		return Validator.ValidateECMFiles(gpo);
	}

}
