/******************************************************************************
 * Product: iDempiere ERP & CRM Smart Business Solution                       *
 * Copyright (C) 1999-2012 ComPiere, Inc. All Rights Reserved.                *
 * This program is free software, you can redistribute it and/or modify it    *
 * under the terms version 2 of the GNU General Public License as published   *
 * by the Free Software Foundation. This program is distributed in the hope   *
 * that it will be useful, but WITHOUT ANY WARRANTY, without even the implied *
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.           *
 * See the GNU General Public License for more details.                       *
 * You should have received a copy of the GNU General Public License along    *
 * with this program, if not, write to the Free Software Foundation, Inc.,    *
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.                     *
 * For the text or an alternative of this public license, you may reach us    *
 * ComPiere, Inc., 2620 Augustine Dr. #245, Santa Clara, CA 95054, USA        *
 * or via info@compiere.org or http://www.compiere.org/license.html           *
 *****************************************************************************/
/** Generated Model - DO NOT CHANGE */
package com.bmlaurus.alfresco.model;

import java.sql.ResultSet;
import java.util.Properties;
import org.compiere.model.*;
import org.compiere.util.KeyNamePair;

/** Generated Model for AL_Alfresco_Model
 *  @author iDempiere (generated) 
 *  @version Release 1.0a - $Id$ */
public class X_AL_Alfresco_Model extends PO implements I_AL_Alfresco_Model, I_Persistent 
{

	/**
	 *
	 */
	private static final long serialVersionUID = 20130215L;

    /** Standard Constructor */
    public X_AL_Alfresco_Model (Properties ctx, int AL_Alfresco_Model_ID, String trxName)
    {
      super (ctx, AL_Alfresco_Model_ID, trxName);
      /** if (AL_Alfresco_Model_ID == 0)
        {
			setAL_Alfresco_Model_ID (0);
			setAL_Alfresco_Schema_ID (0);
			setName (null);
			setType (null);
        } */
    }

    /** Load Constructor */
    public X_AL_Alfresco_Model (Properties ctx, ResultSet rs, String trxName)
    {
      super (ctx, rs, trxName);
    }

    /** AccessLevel
      * @return 4 - System 
      */
    protected int get_AccessLevel()
    {
      return accessLevel.intValue();
    }

    /** Load Meta Data */
    protected POInfo initPO (Properties ctx)
    {
      POInfo poi = POInfo.getPOInfo (ctx, Table_ID, get_TrxName());
      return poi;
    }

    public String toString()
    {
      StringBuffer sb = new StringBuffer ("X_AL_Alfresco_Model[")
        .append(get_ID()).append("]");
      return sb.toString();
    }

	/** Set Alfresco Model.
		@param AL_Alfresco_Model_ID Alfresco Model	  */
	public void setAL_Alfresco_Model_ID (int AL_Alfresco_Model_ID)
	{
		if (AL_Alfresco_Model_ID < 1) 
			set_ValueNoCheck (COLUMNNAME_AL_Alfresco_Model_ID, null);
		else 
			set_ValueNoCheck (COLUMNNAME_AL_Alfresco_Model_ID, Integer.valueOf(AL_Alfresco_Model_ID));
	}

	/** Get Alfresco Model.
		@return Alfresco Model	  */
	public int getAL_Alfresco_Model_ID () 
	{
		Integer ii = (Integer)get_Value(COLUMNNAME_AL_Alfresco_Model_ID);
		if (ii == null)
			 return 0;
		return ii.intValue();
	}

	public com.bmlaurus.alfresco.model.I_AL_Alfresco_Schema getAL_Alfresco_Schema() throws RuntimeException
    {
		return (com.bmlaurus.alfresco.model.I_AL_Alfresco_Schema)MTable.get(getCtx(), com.bmlaurus.alfresco.model.I_AL_Alfresco_Schema.Table_Name)
			.getPO(getAL_Alfresco_Schema_ID(), get_TrxName());	}

	/** Set AL_Alfresco_Schema.
		@param AL_Alfresco_Schema_ID AL_Alfresco_Schema	  */
	public void setAL_Alfresco_Schema_ID (int AL_Alfresco_Schema_ID)
	{
		if (AL_Alfresco_Schema_ID < 1) 
			set_Value (COLUMNNAME_AL_Alfresco_Schema_ID, null);
		else 
			set_Value (COLUMNNAME_AL_Alfresco_Schema_ID, Integer.valueOf(AL_Alfresco_Schema_ID));
	}

	/** Get AL_Alfresco_Schema.
		@return AL_Alfresco_Schema	  */
	public int getAL_Alfresco_Schema_ID () 
	{
		Integer ii = (Integer)get_Value(COLUMNNAME_AL_Alfresco_Schema_ID);
		if (ii == null)
			 return 0;
		return ii.intValue();
	}

	/** Set AlfrescoDestinationPath.
		@param AlfrescoDestinationPath AlfrescoDestinationPath	  */
	public void setAlfrescoDestinationPath (String AlfrescoDestinationPath)
	{
		set_Value (COLUMNNAME_AlfrescoDestinationPath, AlfrescoDestinationPath);
	}

	/** Get AlfrescoDestinationPath.
		@return AlfrescoDestinationPath	  */
	public String getAlfrescoDestinationPath () 
	{
		return (String)get_Value(COLUMNNAME_AlfrescoDestinationPath);
	}

	/** Set Name.
		@param Name 
		Alphanumeric identifier of the entity
	  */
	public void setName (String Name)
	{
		set_Value (COLUMNNAME_Name, Name);
	}

	/** Get Name.
		@return Alphanumeric identifier of the entity
	  */
	public String getName () 
	{
		return (String)get_Value(COLUMNNAME_Name);
	}

    /** Get Record ID/ColumnName
        @return ID/ColumnName pair
      */
    public KeyNamePair getKeyNamePair() 
    {
        return new KeyNamePair(get_ID(), getName());
    }

	/** Type AD_Reference_ID=1000002 */
	public static final int TYPE_AD_Reference_ID=1000002;
	/** File List = FL */
	public static final String TYPE_FileList = "FL";
	/** File Upload = FU */
	public static final String TYPE_FileUpload = "FU";
	/** Set Type.
		@param Type 
		Type of Validation (SQL, Java Script, Java Language)
	  */
	public void setType (String Type)
	{

		set_Value (COLUMNNAME_Type, Type);
	}

	/** Get Type.
		@return Type of Validation (SQL, Java Script, Java Language)
	  */
	public String getType () 
	{
		return (String)get_Value(COLUMNNAME_Type);
	}
}