/******************************************************************************
 * Product: iDempiere ERP & CRM Smart Business Solution                       *
 * Copyright (C) 1999-2012 ComPiere, Inc. All Rights Reserved.                *
 * This program is free software, you can redistribute it and/or modify it    *
 * under the terms version 2 of the GNU General Public License as published   *
 * by the Free Software Foundation. This program is distributed in the hope   *
 * that it will be useful, but WITHOUT ANY WARRANTY, without even the implied *
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.           *
 * See the GNU General Public License for more details.                       *
 * You should have received a copy of the GNU General Public License along    *
 * with this program, if not, write to the Free Software Foundation, Inc.,    *
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.                     *
 * For the text or an alternative of this public license, you may reach us    *
 * ComPiere, Inc., 2620 Augustine Dr. #245, Santa Clara, CA 95054, USA        *
 * or via info@compiere.org or http://www.compiere.org/license.html           *
 *****************************************************************************/
/** Generated Model - DO NOT CHANGE */
package com.bmlaurus.alfresco.model;

import java.sql.ResultSet;
import java.util.Properties;
import org.compiere.model.*;
import org.compiere.util.KeyNamePair;

/** Generated Model for AL_Alfresco_Schema
 *  @author iDempiere (generated) 
 *  @version Release 1.0a - $Id$ */
public class X_AL_Alfresco_Schema extends PO implements I_AL_Alfresco_Schema, I_Persistent 
{

	/**
	 *
	 */
	private static final long serialVersionUID = 20130215L;

    /** Standard Constructor */
    public X_AL_Alfresco_Schema (Properties ctx, int AL_Alfresco_Schema_ID, String trxName)
    {
      super (ctx, AL_Alfresco_Schema_ID, trxName);
      /** if (AL_Alfresco_Schema_ID == 0)
        {
			setAL_Alfresco_Schema_ID (0);
			setHostAddress (null);
			setName (null);
			setPassword (null);
			setUserName (null);
        } */
    }

    /** Load Constructor */
    public X_AL_Alfresco_Schema (Properties ctx, ResultSet rs, String trxName)
    {
      super (ctx, rs, trxName);
    }

    /** AccessLevel
      * @return 4 - System 
      */
    protected int get_AccessLevel()
    {
      return accessLevel.intValue();
    }

    /** Load Meta Data */
    protected POInfo initPO (Properties ctx)
    {
      POInfo poi = POInfo.getPOInfo (ctx, Table_ID, get_TrxName());
      return poi;
    }

    public String toString()
    {
      StringBuffer sb = new StringBuffer ("X_AL_Alfresco_Schema[")
        .append(get_ID()).append("]");
      return sb.toString();
    }

	/** Set AL_Alfresco_Schema.
		@param AL_Alfresco_Schema_ID AL_Alfresco_Schema	  */
	public void setAL_Alfresco_Schema_ID (int AL_Alfresco_Schema_ID)
	{
		if (AL_Alfresco_Schema_ID < 1) 
			set_ValueNoCheck (COLUMNNAME_AL_Alfresco_Schema_ID, null);
		else 
			set_ValueNoCheck (COLUMNNAME_AL_Alfresco_Schema_ID, Integer.valueOf(AL_Alfresco_Schema_ID));
	}

	/** Get AL_Alfresco_Schema.
		@return AL_Alfresco_Schema	  */
	public int getAL_Alfresco_Schema_ID () 
	{
		Integer ii = (Integer)get_Value(COLUMNNAME_AL_Alfresco_Schema_ID);
		if (ii == null)
			 return 0;
		return ii.intValue();
	}

	/** Set Host Address.
		@param HostAddress 
		Host Address URL or DNS
	  */
	public void setHostAddress (String HostAddress)
	{
		set_Value (COLUMNNAME_HostAddress, HostAddress);
	}

	/** Get Host Address.
		@return Host Address URL or DNS
	  */
	public String getHostAddress () 
	{
		return (String)get_Value(COLUMNNAME_HostAddress);
	}

	/** Set Name.
		@param Name 
		Alphanumeric identifier of the entity
	  */
	public void setName (String Name)
	{
		set_Value (COLUMNNAME_Name, Name);
	}

	/** Get Name.
		@return Alphanumeric identifier of the entity
	  */
	public String getName () 
	{
		return (String)get_Value(COLUMNNAME_Name);
	}

    /** Get Record ID/ColumnName
        @return ID/ColumnName pair
      */
    public KeyNamePair getKeyNamePair() 
    {
        return new KeyNamePair(get_ID(), getName());
    }

	/** Set Password.
		@param Password 
		Password of any length (case sensitive)
	  */
	public void setPassword (String Password)
	{
		set_Value (COLUMNNAME_Password, Password);
	}

	/** Get Password.
		@return Password of any length (case sensitive)
	  */
	public String getPassword () 
	{
		return (String)get_Value(COLUMNNAME_Password);
	}

	/** Set User Name.
		@param UserName User Name	  */
	public void setUserName (String UserName)
	{
		set_Value (COLUMNNAME_UserName, UserName);
	}

	/** Get User Name.
		@return User Name	  */
	public String getUserName () 
	{
		return (String)get_Value(COLUMNNAME_UserName);
	}
}