/******************************************************************************
 * Product: iDempiere ERP & CRM Smart Business Solution                       *
 * Copyright (C) 1999-2012 ComPiere, Inc. All Rights Reserved.                *
 * This program is free software, you can redistribute it and/or modify it    *
 * under the terms version 2 of the GNU General Public License as published   *
 * by the Free Software Foundation. This program is distributed in the hope   *
 * that it will be useful, but WITHOUT ANY WARRANTY, without even the implied *
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.           *
 * See the GNU General Public License for more details.                       *
 * You should have received a copy of the GNU General Public License along    *
 * with this program, if not, write to the Free Software Foundation, Inc.,    *
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.                     *
 * For the text or an alternative of this public license, you may reach us    *
 * ComPiere, Inc., 2620 Augustine Dr. #245, Santa Clara, CA 95054, USA        *
 * or via info@compiere.org or http://www.compiere.org/license.html           *
 *****************************************************************************/
/** Generated Model - DO NOT CHANGE */
package com.bmlaurus.alfresco.model;

import java.sql.ResultSet;
import java.util.Properties;
import org.compiere.model.*;
import org.compiere.util.KeyNamePair;

/** Generated Model for AL_AspectModel
 *  @author iDempiere (generated) 
 *  @version Release 1.0a - $Id$ */
public class X_AL_AspectModel extends PO implements I_AL_AspectModel, I_Persistent 
{

	/**
	 *
	 */
	private static final long serialVersionUID = 20130215L;

    /** Standard Constructor */
    public X_AL_AspectModel (Properties ctx, int AL_AspectModel_ID, String trxName)
    {
      super (ctx, AL_AspectModel_ID, trxName);
      /** if (AL_AspectModel_ID == 0)
        {
			setAL_Aspect_ID (0);
			setAL_AspectModel_ID (0);
			setName (null);
        } */
    }

    /** Load Constructor */
    public X_AL_AspectModel (Properties ctx, ResultSet rs, String trxName)
    {
      super (ctx, rs, trxName);
    }

    /** AccessLevel
      * @return 4 - System 
      */
    protected int get_AccessLevel()
    {
      return accessLevel.intValue();
    }

    /** Load Meta Data */
    protected POInfo initPO (Properties ctx)
    {
      POInfo poi = POInfo.getPOInfo (ctx, Table_ID, get_TrxName());
      return poi;
    }

    public String toString()
    {
      StringBuffer sb = new StringBuffer ("X_AL_AspectModel[")
        .append(get_ID()).append("]");
      return sb.toString();
    }

	public com.bmlaurus.alfresco.model.I_AL_Aspect getAL_Aspect() throws RuntimeException
    {
		return (com.bmlaurus.alfresco.model.I_AL_Aspect)MTable.get(getCtx(), com.bmlaurus.alfresco.model.I_AL_Aspect.Table_Name)
			.getPO(getAL_Aspect_ID(), get_TrxName());	}

	/** Set AL_Aspect.
		@param AL_Aspect_ID AL_Aspect	  */
	public void setAL_Aspect_ID (int AL_Aspect_ID)
	{
		if (AL_Aspect_ID < 1) 
			set_ValueNoCheck (COLUMNNAME_AL_Aspect_ID, null);
		else 
			set_ValueNoCheck (COLUMNNAME_AL_Aspect_ID, Integer.valueOf(AL_Aspect_ID));
	}

	/** Get AL_Aspect.
		@return AL_Aspect	  */
	public int getAL_Aspect_ID () 
	{
		Integer ii = (Integer)get_Value(COLUMNNAME_AL_Aspect_ID);
		if (ii == null)
			 return 0;
		return ii.intValue();
	}

	/** Set AL_AspectModel.
		@param AL_AspectModel_ID AL_AspectModel	  */
	public void setAL_AspectModel_ID (int AL_AspectModel_ID)
	{
		if (AL_AspectModel_ID < 1) 
			set_ValueNoCheck (COLUMNNAME_AL_AspectModel_ID, null);
		else 
			set_ValueNoCheck (COLUMNNAME_AL_AspectModel_ID, Integer.valueOf(AL_AspectModel_ID));
	}

	/** Get AL_AspectModel.
		@return AL_AspectModel	  */
	public int getAL_AspectModel_ID () 
	{
		Integer ii = (Integer)get_Value(COLUMNNAME_AL_AspectModel_ID);
		if (ii == null)
			 return 0;
		return ii.intValue();
	}

	/** Set Data Type.
		@param DataType 
		Type of data
	  */
	public void setDataType (String DataType)
	{
		set_Value (COLUMNNAME_DataType, DataType);
	}

	/** Get Data Type.
		@return Type of data
	  */
	public String getDataType () 
	{
		return (String)get_Value(COLUMNNAME_DataType);
	}

	/** Set Default Logic.
		@param DefaultValue 
		Default value hierarchy, separated by ;
	  */
	public void setDefaultValue (String DefaultValue)
	{
		set_Value (COLUMNNAME_DefaultValue, DefaultValue);
	}

	/** Get Default Logic.
		@return Default value hierarchy, separated by ;
	  */
	public String getDefaultValue () 
	{
		return (String)get_Value(COLUMNNAME_DefaultValue);
	}

	/** Set Name.
		@param Name 
		Alphanumeric identifier of the entity
	  */
	public void setName (String Name)
	{
		set_Value (COLUMNNAME_Name, Name);
	}

	/** Get Name.
		@return Alphanumeric identifier of the entity
	  */
	public String getName () 
	{
		return (String)get_Value(COLUMNNAME_Name);
	}

    /** Get Record ID/ColumnName
        @return ID/ColumnName pair
      */
    public KeyNamePair getKeyNamePair() 
    {
        return new KeyNamePair(get_ID(), getName());
    }
}