/******************************************************************************
 * Product: Adempiere ERP & CRM Smart Business Solution                       *
 * Copyright (C) 1999-2007 ComPiere, Inc. All Rights Reserved.                *
 * This program is free software, you can redistribute it and/or modify it    *
 * under the terms version 2 of the GNU General Public License as published   *
 * by the Free Software Foundation. This program is distributed in the hope   *
 * that it will be useful, but WITHOUT ANY WARRANTY, without even the implied *
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.           *
 * See the GNU General Public License for more details.                       *
 * You should have received a copy of the GNU General Public License along    *
 * with this program, if not, write to the Free Software Foundation, Inc.,    *
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.                     *
 * For the text or an alternative of this public license, you may reach us    *
 * ComPiere, Inc., 2620 Augustine Dr. #245, Santa Clara, CA 95054, USA        *
 * or via info@compiere.org or http://www.compiere.org/license.html           *
 *****************************************************************************/
/** Generated Model - DO NOT CHANGE */
package com.bmlaurus.alfresco.model;

import java.sql.ResultSet;
import java.util.Properties;
import org.compiere.model.*;
import org.compiere.util.KeyNamePair;

/** Generated Model for AL_FileList
 *  @author Adempiere (generated) 
 *  @version Release 3.7.0LTS - $Id$ */
public class X_AL_FileList extends PO implements I_AL_FileList, I_Persistent 
{

	/**
	 *
	 */
	private static final long serialVersionUID = 20121031L;

    /** Standard Constructor */
    public X_AL_FileList (Properties ctx, int AL_FileList_ID, String trxName)
    {
      super (ctx, AL_FileList_ID, trxName);
      /** if (AL_FileList_ID == 0)
        {
			setAL_FileList_ID (0);
			setName (null);
        } */
    }

    /** Load Constructor */
    public X_AL_FileList (Properties ctx, ResultSet rs, String trxName)
    {
      super (ctx, rs, trxName);
    }

    /** AccessLevel
      * @return 4 - System 
      */
    protected int get_AccessLevel()
    {
      return accessLevel.intValue();
    }

    /** Load Meta Data */
    protected POInfo initPO (Properties ctx)
    {
      POInfo poi = POInfo.getPOInfo (ctx, Table_ID, get_TrxName());
      return poi;
    }

    public String toString()
    {
      StringBuffer sb = new StringBuffer ("X_AL_FileList[")
        .append(get_ID()).append("]");
      return sb.toString();
    }

	public com.bmlaurus.alfresco.model.I_AL_Alfresco_Model getAL_Alfresco_Model() throws RuntimeException
    {
		return (com.bmlaurus.alfresco.model.I_AL_Alfresco_Model)MTable.get(getCtx(), com.bmlaurus.alfresco.model.I_AL_Alfresco_Model.Table_Name)
			.getPO(getAL_Alfresco_Model_ID(), get_TrxName());	}

	/** Set AL_Alfresco_Model.
		@param AL_Alfresco_Model_ID AL_Alfresco_Model	  */
	public void setAL_Alfresco_Model_ID (int AL_Alfresco_Model_ID)
	{
		if (AL_Alfresco_Model_ID < 1) 
			set_ValueNoCheck (COLUMNNAME_AL_Alfresco_Model_ID, null);
		else 
			set_ValueNoCheck (COLUMNNAME_AL_Alfresco_Model_ID, Integer.valueOf(AL_Alfresco_Model_ID));
	}

	/** Get AL_Alfresco_Model.
		@return AL_Alfresco_Model	  */
	public int getAL_Alfresco_Model_ID () 
	{
		Integer ii = (Integer)get_Value(COLUMNNAME_AL_Alfresco_Model_ID);
		if (ii == null)
			 return 0;
		return ii.intValue();
	}

	public com.bmlaurus.alfresco.model.I_AL_Aspect getAL_Aspect() throws RuntimeException
    {
		return (com.bmlaurus.alfresco.model.I_AL_Aspect)MTable.get(getCtx(), com.bmlaurus.alfresco.model.I_AL_Aspect.Table_Name)
			.getPO(getAL_Aspect_ID(), get_TrxName());	}

	/** Set AL_Aspect.
		@param AL_Aspect_ID AL_Aspect	  */
	public void setAL_Aspect_ID (int AL_Aspect_ID)
	{
		if (AL_Aspect_ID < 1) 
			set_Value (COLUMNNAME_AL_Aspect_ID, null);
		else 
			set_Value (COLUMNNAME_AL_Aspect_ID, Integer.valueOf(AL_Aspect_ID));
	}

	/** Get AL_Aspect.
		@return AL_Aspect	  */
	public int getAL_Aspect_ID () 
	{
		Integer ii = (Integer)get_Value(COLUMNNAME_AL_Aspect_ID);
		if (ii == null)
			 return 0;
		return ii.intValue();
	}

	/** Set AL_FileList.
		@param AL_FileList_ID AL_FileList	  */
	public void setAL_FileList_ID (int AL_FileList_ID)
	{
		if (AL_FileList_ID < 1) 
			set_ValueNoCheck (COLUMNNAME_AL_FileList_ID, null);
		else 
			set_ValueNoCheck (COLUMNNAME_AL_FileList_ID, Integer.valueOf(AL_FileList_ID));
	}

	/** Get AL_FileList.
		@return AL_FileList	  */
	public int getAL_FileList_ID () 
	{
		Integer ii = (Integer)get_Value(COLUMNNAME_AL_FileList_ID);
		if (ii == null)
			 return 0;
		return ii.intValue();
	}

	/** Set Alfresco Destination Path.
		@param AlfrescoDestinationPath Alfresco Destination Path	  */
	public void setAlfrescoDestinationPath (String AlfrescoDestinationPath)
	{
		set_Value (COLUMNNAME_AlfrescoDestinationPath, AlfrescoDestinationPath);
	}

	/** Get Alfresco Destination Path.
		@return Alfresco Destination Path	  */
	public String getAlfrescoDestinationPath () 
	{
		return (String)get_Value(COLUMNNAME_AlfrescoDestinationPath);
	}

	/** Set Author.
		@param Author 
		Author/Creator of the Entity
	  */
	public void setAuthor (String Author)
	{
		set_Value (COLUMNNAME_Author, Author);
	}

	/** Get Author.
		@return Author/Creator of the Entity
	  */
	public String getAuthor () 
	{
		return (String)get_Value(COLUMNNAME_Author);
	}

	/** Set Description.
		@param Description 
		Optional short description of the record
	  */
	public void setDescription (String Description)
	{
		set_Value (COLUMNNAME_Description, Description);
	}

	/** Get Description.
		@return Optional short description of the record
	  */
	public String getDescription () 
	{
		return (String)get_Value(COLUMNNAME_Description);
	}

	/** Set Display Logic.
		@param DisplayLogic 
		If the Field is displayed, the result determines if the field is actually displayed
	  */
	public void setDisplayLogic (String DisplayLogic)
	{
		set_Value (COLUMNNAME_DisplayLogic, DisplayLogic);
	}

	/** Get Display Logic.
		@return If the Field is displayed, the result determines if the field is actually displayed
	  */
	public String getDisplayLogic () 
	{
		return (String)get_Value(COLUMNNAME_DisplayLogic);
	}

	/** Set File Name.
		@param FileName 
		Name of the local file or URL
	  */
	public void setFileName (String FileName)
	{
		set_Value (COLUMNNAME_FileName, FileName);
	}

	/** Get File Name.
		@return Name of the local file or URL
	  */
	public String getFileName () 
	{
		return (String)get_Value(COLUMNNAME_FileName);
	}

	/** Set Name.
		@param Name 
		Alphanumeric identifier of the entity
	  */
	public void setName (String Name)
	{
		set_Value (COLUMNNAME_Name, Name);
	}

	/** Get Name.
		@return Alphanumeric identifier of the entity
	  */
	public String getName () 
	{
		return (String)get_Value(COLUMNNAME_Name);
	}

    /** Get Record ID/ColumnName
        @return ID/ColumnName pair
      */
    public KeyNamePair getKeyNamePair() 
    {
        return new KeyNamePair(get_ID(), getName());
    }

	/** Set Title.
		@param Title 
		Name this entity is referred to as
	  */
	public void setTitle (String Title)
	{
		set_Value (COLUMNNAME_Title, Title);
	}

	/** Get Title.
		@return Name this entity is referred to as
	  */
	public String getTitle () 
	{
		return (String)get_Value(COLUMNNAME_Title);
	}
}